Page MenuHomePhabricator

updates on bare repos fail when git < 1.7.2
Closed, ResolvedPublic

Description

When phabricator attempts to update a bare repo, it uses a command of the form 'git fetch <remotename>'. For repos cloned by git < 1.7.2, origin is not automatically created and updates fail with:

fatal: 'origin' does not appear to be a git repository
fatal: The remote end hung up unexpectedly

This manifests in daemon logs similar to the following:

[2013-10-31 22:44:57] EXCEPTION: (PhutilProxyException) Error while fetching changes to the 'CALLSIGN' repository. {>} (Exception) git fetch failed with error #128:
 
 stdout: 
 
 stderr:fatal: 'origin' does not appear to be a git repository
 fatal: The remote end hung up unexpectedly
 
 at [/usr/share/phabricator/src/applications/repository/engine/PhabricatorRepositoryPullEngine.php:253]
  #0 phlog(Object PhutilProxyException) called at [/usr/share/phabricator/src/applications/repository/daemon/PhabricatorRepositoryPullLocalDaemon.php:159]
  #1 PhabricatorRepositoryPullLocalDaemon::run() called at [/usr/share/libphutil/src/daemon/PhutilDaemon.php:81]
  #2 PhutilDaemon::execute() called at [/usr/share/libphutil/scripts/daemon/exec/exec_daemon.php:112]

This is a bug specific to older versions of git and has been fixed as of 1.7.2

Event Timeline

tflink created this task.Oct 31 2013, 11:09 PM
tflink raised the priority of this task from to Needs Triage.
tflink updated the task description. (Show Details)
tflink added a subscriber: tflink.

Another user just hit this in the wild so I'm going to try to get it fixed shortly.

epriestley edited this Maniphest Task.Nov 18 2013, 9:30 PM
epriestley triaged this task as Normal priority.Nov 20 2013, 4:33 PM
epriestley added a project: Diffusion.
epriestley edited this Maniphest Task.Nov 20 2013, 4:42 PM
champo added a subscriber: champo.Nov 20 2013, 4:51 PM
epriestley edited this Maniphest Task.Nov 20 2013, 6:42 PM
epriestley closed this task as Resolved.Nov 20 2013, 6:42 PM

Closed by commit rPa07f444f2a5e.